%define htmlroot /var/www/html
%define httpconfdir %_sysconfdir/httpd/conf.d
%define ninja_module_name autodiscovery
Name: op5-autodiscovery-ui
Version: %{op5version}
Release: %{op5release}
License: op5 Software License
Vendor: OP5 AB
URL: https://www.itrsgroup.com
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: Autodiscovery UI
Group: Applications/Internet
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: monitor-ninja >= 3.1
BuildRequires: monitor-ninja
BuildRequires: monitor-ninja-devel
Source: %name-%version.tar.gz
%systemd_requires

%description
Autodiscovery UI for Ninja

%prep
%setup -q

%build
php build.php

%install
mkdir --parents --mode 755 %buildroot%prefix/modules
cp --recursive %{ninja_module_name} %buildroot%prefix/modules

mkdir --parents %{buildroot}%{htmlroot}
cp --archive dist %{buildroot}%{htmlroot}/%{ninja_module_name}

%{__install} -D -m 644 httpd-%{ninja_module_name}.conf %{buildroot}/%{httpconfdir}/%{ninja_module_name}.conf


%post
systemctl restart httpd.service || :


%files
%{httpconfdir}/%{ninja_module_name}.conf
%prefix/modules/%{ninja_module_name}
%{htmlroot}/%{ninja_module_name}

%clean
rm -rf %buildroot


%changelog
* Fri May  7 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Change owner of installed files to default (root).
- Remove EL6 support.
* Thu Apr 26 2018 Petter Nyström <pnystrom@op5.com>
- Add EL6 support
* Thu Sep 28 2017 Mattias Ryrlén <mattiasr@op5.com>
- Initial build
